net.minecraftforge.event.entity.player

## Class PlayerDropsEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.living.LivingDropsEvent
        - - net.minecraftforge.event.entity.player.PlayerDropsEvent

-     public class PlayerDropsEvent
      extends LivingDropsEvent

  Child class of LivingDropEvent that is fired specifically when a player dies. Canceling the event will prevent ALL drops from entering the world.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityPlayer` | `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingDropsEvent

      `drops, lootingLevel, recentlyHit, source, specialDropValue`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerDropsEvent(EntityPlayer entity, DamageSource source, java.util.ArrayList<EntityItem> drops, boolean recentlyHit)` Creates a new event containing all the items that will drop into the world when a player dies.

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityPlayer

          public final EntityPlayer entityPlayer

  - ### Constructor Detail

    - #### PlayerDropsEvent

          public PlayerDropsEvent(EntityPlayer entity,
                          DamageSource source,
                          java.util.ArrayList<EntityItem> drops,
                          boolean recentlyHit)

      Creates a new event containing all the items that will drop into the world when a player dies.
      Parameters:
        `entity` - The dying player.
        `source` - The source of the damage which is killing the player.
        `drops` - List of all drops entering the world.